- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# webfaction_app – Add or remove applications on a Webfaction host

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Add or remove applications on a Webfaction host. Further documentation at https://github.com/quentinsf/ansible-webfaction.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
autostart boolean | Choices: no ← yes | Whether the app should restart with an `autostart.cgi` script
extra_info - | Default: "" | Any extra parameters required by the app
login_name - / required |  | The webfaction account to use
login_password - / required |  | The webfaction password to use
machine - |  | The machine name to use (optional for accounts with only one machine)
name - / required |  | The name of the application
port_open boolean | Choices: no ← yes | IF the port should be opened
state - | Choices: present ← absent | Whether the application should exist
type - / required |  | The type of application to create. See the Webfaction docs at https://docs.webfaction.com/xmlrpc-api/apps.html for a list.

## Notes

Note

- You can run playbooks that use this on a local machine, or on a Webfaction host, or elsewhere, since the scripts use the remote webfaction API. The location is not important. However, running them on multiple hosts simultaneously is best avoided. If you don’t specify localhost as your host, you may want to add `serial: 1` to the plays.
- See the webfaction API for more info.

## Examples

    - name: Create a test app
      webfaction_app:
        name: "my_wsgi_app1"
        state: present
        type: mod_wsgi35-python27
        login_name: "{{webfaction_user}}"
        login_password: "{{webfaction_passwd}}"
        machine: "{{webfaction_machine}}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Quentin Stafford-Fraser (@quentinsf)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.